Support Questions
Find answers, ask questions, and share your expertise

metron 0.4.2 upgrade

Highlighted

metron 0.4.2 upgrade

Contributor

Hi all,

I'm trying to upgrade metron from 0.4.0 to 0.4.2 by using ambari mpack. Everything starts up fine except for the indexing parser topology and metron rest.

I couldn't figure out how to solve this error below. That class exists in the jar included in the script that was executing. So I don't see why it's complaining. Any help is greatly appreciated.

  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 303, in _call
    raise ExecutionFailed(err_msg, code, out, err)
resource_management.core.exceptions.ExecutionFailed: Execution of '/usr/metron/0.4.2/bin/zk_load_configs.sh --zk_quorum hadoop-slave-1:2181,hadoop-slave-2:2181,hadoop-master:2181 --mode PATCH --config_type GLOBAL --patch_file /tmp/metron-global-config-patch.json' returned 1. Error: Could not find or load main class org.apache.metron.common.cli.ConfigurationManager
1 REPLY 1
Highlighted

Re: metron 0.4.2 upgrade

Contributor

Finally, I managed to resolved all issues with the indexing topology. The issue was that I upgraded metron via ambari mpack and it didn't copy new jars/scripts or anything to the designated Metron node. I manually created a new 0.4.2 directory, copy jars, configs, and scripts over; therefore many issues arrived with configuration and mismatched variables. Now; I'm still dealing with metron REST issues.